Index: trunk/SophyaExt/FitsIOServer/Makefile
===================================================================
--- trunk/SophyaExt/FitsIOServer/Makefile	(revision 2824)
+++ trunk/SophyaExt/FitsIOServer/Makefile	(revision 2834)
@@ -35,11 +35,12 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -58,11 +59,12 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -81,11 +83,12 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h fabtcolread.h \
@@ -118,4 +121,5 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h \
@@ -153,5 +157,6 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h fitsfile.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
@@ -174,4 +179,5 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h \
@@ -210,5 +216,12 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)segdatablock.h fitsblkrw.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsblkrw.h \
   fitsinoutfile.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
@@ -230,4 +243,5 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
@@ -249,4 +263,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -279,4 +294,5 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
@@ -297,5 +313,6 @@
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)mutyv.h fitsfile.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
@@ -320,4 +337,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -354,4 +372,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -388,11 +407,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h fitsfile.h \
@@ -415,5 +435,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h fitsfile.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
Index: trunk/SophyaExt/IFFTW/Makefile
===================================================================
--- trunk/SophyaExt/IFFTW/Makefile	(revision 2824)
+++ trunk/SophyaExt/IFFTW/Makefile	(revision 2834)
@@ -21,5 +21,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -28,4 +28,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
Index: trunk/SophyaExt/LinAlg/Makefile
===================================================================
--- trunk/SophyaExt/LinAlg/Makefile	(revision 2824)
+++ trunk/SophyaExt/LinAlg/Makefile	(revision 2834)
@@ -18,5 +18,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -26,4 +26,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
